local addon, db = ...

if db.SV.DONT_REPAIR then return end

db.Register(function (self)
	local repairCost, canRepair = GetRepairAllCost()
	if not canRepair or repairCost <= 0 then return true end
	if CanGuildBankRepair() and db.SV.REPAIR_WITH_GUILD_BANK then
		local amount = GetGuildBankWithdrawMoney()
		local guildBankMoney = GetGuildBankMoney()
		amount = (amount == -1) and guildBankMoney or math.min(amount, guildBankMoney)
		RepairAllItems(true)
		repairCost = repairCost - amount
	end
	if repairCost > 0 then
		RepairAllItems()
	end
	PlaySound"ITEM_REPAIR"
	return true
end, "MERCHANT_SHOW")
